#!/bin/sh
export PATH='/wrkdirs/usr/ports/net/hs-hoauth2/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hoauth2
version: 1.7.1
id: hoauth2-1.7.1-Hvy78xtnR2q1PRHr5nfbgd
key: hoauth2-1.7.1-Hvy78xtnR2q1PRHr5nfbgd
license: BSD-3-Clause
copyright: Haisheng Wu
maintainer: Haisheng Wu <freizl@gmail.com>
author: Haisheng Wu
stability: Beta
homepage: https://github.com/freizl/hoauth2
synopsis: Haskell OAuth2 authentication client
description:
    Haskell OAuth2 authentication client. Tested with the following services:
    .
    * Google: <https://developers.google.com/accounts/docs/OAuth2WebServer>
    .
    * Github: <http://developer.github.com/v3/oauth/>
    .
    * Facebook: <http://developers.facebook.com/docs/facebook-login/>
    .
    * Fitbit: <http://dev.fitbit.com/docs/oauth2/>
    .
    * StackExchange: <https://api.stackexchange.com/docs/authentication>
    .
    * DropBox: <https://www.dropbox.com/developers/reference/oauth-guide>
    .
    * Weibo: <http://open.weibo.com/wiki/Oauth2>
    .
    * Douban: <http://developers.douban.com/wiki/?title=oauth2>
category: Network
abi: d11555c17a620530a903f3eebc44a6d6
exposed: True
exposed-modules:
    Network.OAuth.OAuth2 Network.OAuth.OAuth2.AuthorizationRequest
    Network.OAuth.OAuth2.HttpClient Network.OAuth.OAuth2.Internal
    Network.OAuth.OAuth2.TokenRequest
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/hoauth2-1.7.1
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/hoauth2-1.7.1
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/hoauth2-1.7.1
hs-libraries: HShoauth2-1.7.1-Hvy78xtnR2q1PRHr5nfbgd
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 text-1.2.3.0 bytestring-0.10.8.2
    http-conduit-2.3.1-4SMevaMkbsv1aqovLgG2gu
    http-types-0.12.1-QKPVNFwtTtFTlIsq9r9Cx
    aeson-1.3.1.0-IPz3RDLY8F87Lb8fOmPCOD
    unordered-containers-0.2.9.0-2rgz5q1wIMZCVTOPtEhIaQ
    uri-bytestring-0.3.1.1-IRD4LTYTzpIL5BkXfFLAB3
    uri-bytestring-aeson-0.1.0.6-7OcqGtLEDBgHPoTH23b59H
    microlens-0.4.9.1-Il1wVteoTNOAmlNI3I8KNh
    exceptions-0.10.0-DItW7BM25Zz5r6SzsXOWGb
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             text-1.2.3.0=9ad7bbe7c5dcb4150d56b6f4034f18b1
             bytestring-0.10.8.2=7e6ff0f3c2255fe1b20bd14002d26042
             http-conduit-2.3.1-4SMevaMkbsv1aqovLgG2gu=465a71582f362b8c2c62525caa3473c0
             http-types-0.12.1-QKPVNFwtTtFTlIsq9r9Cx=8e066c32b5904a4b98a2af117048d490
             aeson-1.3.1.0-IPz3RDLY8F87Lb8fOmPCOD=b587e78fd427351d1bf6cba801544e74
             unordered-containers-0.2.9.0-2rgz5q1wIMZCVTOPtEhIaQ=7ffeb981cd9aa718324998ca683a588c
             uri-bytestring-0.3.1.1-IRD4LTYTzpIL5BkXfFLAB3=d5ce4fa3069f6225241d944b894629a2
             uri-bytestring-aeson-0.1.0.6-7OcqGtLEDBgHPoTH23b59H=0ba0c8a4dc0431f4ed2e614d47c74f62
             microlens-0.4.9.1-Il1wVteoTNOAmlNI3I8KNh=c8c360537bf1a4bd1c492e28d6784d61
             exceptions-0.10.0-DItW7BM25Zz5r6SzsXOWGb=3b7954b96c2c87bf5286292d76d1f9de
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/hoauth2-1.7.1/html/hoauth2.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/hoauth2-1.7.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

